-------------------------------------------------------------------------------
-- DELLEREN
-- (C) 2016 Mukunda Johnson (mukunda@mukunda.com)
-- See LICENSE-DELLEREN.TXT
-------------------------------------------------------------------------------

local VERSION = GetAddOnMetadata( "Delleren", "Version" )

-------------------------------------------------------------------------------
DellerenAddon = LibStub("AceAddon-3.0"):NewAddon( "Delleren", 
	             		  "AceComm-3.0", "AceEvent-3.0", "AceSerializer-3.0",
						  "AceTimer-3.0" ) 

local Main = DellerenAddon

-------------------------------------------------------------------------------
Main.version    = VERSION
Main.unlocked   = false
Main.init_funcs = {}

-------------------------------------------------------------------------------
function Main:AddSetup( func ) 
	table.insert( self.init_funcs, func )
end
 
-------------------------------------------------------------------------------
function Main:Setup()
	 
	for _,init in pairs( self.init_funcs ) do
		init()
	end
	
end
